Subject: Re: bug#20465: 24.4; GnuTLS integration seems faulty

From: Leandro Facchinetti <[email-masked]>
Date: Wed, 29 Apr 2015 16:54:18 -0400

Thank you very much, Andreas!

That was spot on.

And kudos for the lightning fast answer!

Do I need to do something to mark the bug I opened as fixed?

Andreas Schwab writes:

> Leandro Facchinetti <[email-masked]> writes:
>
>> But then I tried connecting with the server using the `gnutls-cli' tool
>> provided by GnuTLS itself. From the command line, I ran:
>>
>>     $ gnutls-cli kill-the-newsletter.com
>>
>> And it worked.
>
> $ gnutls-cli --disable-sni kill-the-newsletter.com
> Processed 157 CA certificate(s).
> Resolving 'kill-the-newsletter.com'...
> Connecting to '2400:cb00:2048:1::681f:5646:443'...
> *** Fatal error: A TLS fatal alert has been received.
> *** Received alert [80]: Internal error
> *** Handshake has failed
> GnuTLS error: A TLS fatal alert has been received.
>
> Andreas.

-- 
Leandro Facchinetti <[email-masked]>
https://www.leafac.com
GPG key: 3DF3D583